/// <reference types="node" />
export interface GraphiteOptions {
    background?: string | null;
    padding?: number;
    width?: number;
    radius?: number;
    size?: number;
    font?: string;
    theme?: string;
}
export default class Graphite {
    private readonly code;
    private readonly lang;
    private readonly theme?;
    private readonly options?;
    private SVG;
    constructor(code: string, lang: string, theme?: string | undefined, options?: GraphiteOptions | undefined);
    svg(): Promise<string>;
    png(): Promise<Buffer>;
    base64(): Promise<string>;
}
